GuideLab API

List messages in a conversation

Retrieve paginated messages for a conversation with sender info, org details, and attachments. Internal notes are only visible to the org that sent them. Supports cursor-based pagination via before/after message IDs.

GET
/conversations/{id}/messages

Retrieve paginated messages for a conversation with sender info, org details, and attachments. Internal notes are only visible to the org that sent them. Supports cursor-based pagination via before/after message IDs.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Query Parameters

limit?string
before?string
after?string

Response Body

application/json

curl -X GET "https://example.com/conversations/550e8400-e29b-41d4-a716-446655440000/messages"
{  "data": [    {      "id": "string",      "conversationId": "string",      "partnershipId": "string",      "orderId": "string",      "senderUserId": "string",      "senderOrgId": "string",      "content": "string",      "messageType": "string",      "sequence": 0,      "isInternal": true,      "replyToId": "string",      "createdAt": "string",      "updatedAt": "string",      "sender": {        "id": "string",        "name": "string",        "nameMissing": true,        "image": "string"      },      "senderOrg": {        "id": "string",        "name": "string",        "nameMissing": true,        "organizationType": "string"      },      "attachments": [        {          "id": "string",          "messageId": "string",          "name": "string",          "mimeType": "string",          "size": 0,          "duration": 0,          "hasThumbnail": true,          "transcript": "string",          "createdAt": "string"        }      ],      "replyTo": null    }  ],  "readState": {    "partnerOrganizationId": "string",    "partnerLastReadSequence": 0  },  "pagination": {    "hasMore": true,    "oldestId": "string",    "newestId": "string"  }}
Empty
Empty
Empty
Empty